Activity log for bug #1598316

Date Who What changed Old value New value Message
2016-07-01 22:58:50 Rob Peters bug added bug
2016-07-03 21:20:42 Rob Peters gtk2-engines-murrine (Ubuntu): status New Incomplete
2016-07-15 06:10:10 Alex bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=827134
2016-07-15 06:19:32 Alex bug added subscriber Alex
2016-07-16 12:50:10 Jeremy Bicha tags regression-update
2016-07-16 12:50:18 Jeremy Bicha gtk2-engines-murrine (Ubuntu): status Incomplete Triaged
2016-07-16 12:50:39 Jeremy Bicha gtk2-engines-murrine (Ubuntu): importance Undecided High
2016-07-16 12:52:09 Jeremy Bicha bug task added shimmer-themes (Ubuntu)
2016-07-16 12:52:35 Jeremy Bicha shimmer-themes (Ubuntu): importance Undecided High
2016-07-16 12:52:40 Jeremy Bicha shimmer-themes (Ubuntu): status New Triaged
2016-07-16 12:53:35 Jeremy Bicha bug watch added https://github.com/numixproject/numix-gtk-theme/issues/492
2016-07-16 12:53:35 Jeremy Bicha bug task added numix
2016-07-16 13:27:25 Bug Watch Updater numix: status Unknown Fix Released
2016-07-18 11:41:24 Jeremy Bicha bug task added arc-theme (Ubuntu)
2016-07-18 11:41:39 Jeremy Bicha arc-theme (Ubuntu): status New Triaged
2016-07-18 11:41:44 Jeremy Bicha arc-theme (Ubuntu): importance Undecided High
2016-07-18 11:52:46 Jeremy Bicha bug watch added https://github.com/horst3180/arc-theme/issues/607
2016-07-18 11:52:46 Jeremy Bicha bug task added arc-theme
2016-07-18 11:59:23 Jeremy Bicha tags regression-update iso-testing regression-update
2016-07-18 12:25:11 Jeremy Bicha bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831678
2016-07-18 12:25:11 Jeremy Bicha bug task added gtk2-engines-murrine (Debian)
2016-07-18 12:47:20 Bug Watch Updater arc-theme: status Unknown New
2016-07-18 13:09:24 Bug Watch Updater gtk2-engines-murrine (Debian): status Unknown New
2016-07-19 15:26:38 Jeremy Bicha tags iso-testing regression-update iso-testing regression-update xubuntu-exp
2016-07-19 20:34:10 Jeremy Bicha bug task added xfdesktop4 (Ubuntu)
2016-07-19 20:39:01 Jeremy Bicha description Upgraded my xubuntu 16.04 system on 01 Jul 2016. The apt update included an upgrade to gtk2-engines-murrine. However, after the upgrade and boot, the any desktop text, folder, launcher, etc. had a problem with the text and shadow being quite far apart. Upgraded my xubuntu 16.04 system on 01 Jul 2016. The apt update included an upgrade to gtk2-engines-murrine. However, after the upgrade and boot, the any desktop text, folder, launcher, etc. had a problem with the text and shadow being quite far apart. This bug affects themes that use the textstyle feature of the murrine engine on xfdesktop4. Ubuntu MATE 16.04, which also uses gtk2 but has caja draw the desktop icons instead of xfdesktop, is not affected. The only known affected theme packaged in Xubuntu 16.04 is numix-gtk-theme. Third-party affected themes include Arc and Vertex.
2016-07-21 18:09:08 Simon SteinbeiƟ shimmer-themes (Ubuntu): status Triaged Invalid
2016-07-21 18:20:35 Launchpad Janitor xfdesktop4 (Ubuntu): status New Confirmed
2016-07-25 13:42:25 Jeremy Bicha bug added subscriber Jeremy Bicha
2016-07-25 14:48:39 Jeremy Bicha shimmer-themes (Ubuntu): status Invalid Triaged
2016-07-29 19:50:30 Simon SteinbeiƟ shimmer-themes (Ubuntu): status Triaged Invalid
2016-09-05 02:59:59 Alroger Filho bug added subscriber Alroger Filho
2016-09-05 23:00:48 Jeremy Bicha nominated for series Ubuntu Xenial
2016-09-05 23:00:48 Jeremy Bicha bug task added xfdesktop4 (Ubuntu Xenial)
2016-09-05 23:00:48 Jeremy Bicha bug task added gtk2-engines-murrine (Ubuntu Xenial)
2016-09-05 23:00:48 Jeremy Bicha bug task added shimmer-themes (Ubuntu Xenial)
2016-09-05 23:00:48 Jeremy Bicha bug task added arc-theme (Ubuntu Xenial)
2016-09-05 23:01:04 Jeremy Bicha bug task deleted arc-theme (Ubuntu Xenial)
2016-09-05 23:01:32 Jeremy Bicha gtk2-engines-murrine (Ubuntu Xenial): importance Undecided High
2016-09-05 23:01:32 Jeremy Bicha gtk2-engines-murrine (Ubuntu Xenial): status New In Progress
2016-09-05 23:10:28 Jeremy Bicha description Upgraded my xubuntu 16.04 system on 01 Jul 2016. The apt update included an upgrade to gtk2-engines-murrine. However, after the upgrade and boot, the any desktop text, folder, launcher, etc. had a problem with the text and shadow being quite far apart. This bug affects themes that use the textstyle feature of the murrine engine on xfdesktop4. Ubuntu MATE 16.04, which also uses gtk2 but has caja draw the desktop icons instead of xfdesktop, is not affected. The only known affected theme packaged in Xubuntu 16.04 is numix-gtk-theme. Third-party affected themes include Arc and Vertex. Impact ====== https://launchpad.net/ubuntu/+source/gtk2-engines-murrine/0.98.2-0ubuntu2.1 The above SRU caused a major regression: On Xfce, desktop icon labels are now badly misaligned. This affects numix-gtk-theme which is included (but not as the default theme) with Xubuntu 16.04 LTS. Third-party affected themes include Arc and Vertex. Test Case ========= 1. In Xubuntu 16.04 LTS, open the Xfce menu in the top left corner of the screen. 2. Select Settings>Appearance 3. Select Numix. Do the desktop icon labels look ok or do they look like the screenshot posted in comment #17? Regression Potential ==================== This obviously re-opens bug 1294699 but that seems to be a fairly obscure bug. Who sets their default system theme to a bitmap font in 2016? That regression is outweighed by breaking several popular themes. Original Bug Report and Followup ================================ Upgraded my xubuntu 16.04 system on 01 Jul 2016. The apt update included an upgrade to gtk2-engines-murrine. However, after the upgrade and boot, the any desktop text, folder, launcher, etc. had a problem with the text and shadow being quite far apart. This bug affects themes that use the textstyle feature of the murrine engine on xfdesktop4. Ubuntu MATE 16.04, which also uses gtk2 but has caja draw the desktop icons instead of xfdesktop, does not appear to be affected (or at least not nearly as noticeably).
2016-09-05 23:11:11 Jeremy Bicha attachment added screenshot https://bugs.launchpad.net/ubuntu/xenial/+source/gtk2-engines-murrine/+bug/1598316/+attachment/4735165/+files/misaligned-desktop-icon-labels.png
2016-09-05 23:18:03 Jeremy Bicha gtk2-engines-murrine (Ubuntu): status Triaged Fix Committed
2016-09-05 23:19:28 Jeremy Bicha gtk2-engines-murrine (Ubuntu): importance High Critical
2016-09-05 23:19:44 Jeremy Bicha gtk2-engines-murrine (Ubuntu Xenial): importance High Critical
2016-09-05 23:20:44 Jeremy Bicha shimmer-themes (Ubuntu Xenial): status New Invalid
2016-09-06 00:55:44 Launchpad Janitor gtk2-engines-murrine (Ubuntu): status Fix Committed Fix Released
2016-09-06 13:09:50 Martin Pitt gtk2-engines-murrine (Ubuntu Xenial): status In Progress Fix Committed
2016-09-06 13:09:54 Martin Pitt bug added subscriber Ubuntu Stable Release Updates Team
2016-09-06 13:09:57 Martin Pitt bug added subscriber SRU Verification
2016-09-06 13:10:05 Martin Pitt tags iso-testing regression-update xubuntu-exp iso-testing regression-update verification-needed xubuntu-exp
2016-09-06 16:32:56 Mathew Hodson bug watch removed http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=827134
2016-09-06 16:39:01 Mathew Hodson bug added subscriber Mathew Hodson
2016-09-07 17:18:05 Launchpad Janitor xfdesktop4 (Ubuntu Xenial): status New Confirmed
2016-09-07 17:21:23 Andreas tags iso-testing regression-update verification-needed xubuntu-exp iso-testing regression-update verification-done xubuntu-exp
2016-09-14 11:59:01 Martin Pitt removed subscriber Ubuntu Stable Release Updates Team
2016-09-14 12:02:03 Launchpad Janitor gtk2-engines-murrine (Ubuntu Xenial): status Fix Committed Fix Released
2016-09-14 18:47:39 Mathew Hodson bug task deleted xfdesktop4 (Ubuntu Xenial)
2016-09-14 18:47:51 Mathew Hodson bug task deleted xfdesktop4 (Ubuntu)
2016-09-14 18:47:59 Mathew Hodson removed subscriber Mathew Hodson
2016-09-14 18:48:05 Mathew Hodson bug task deleted shimmer-themes (Ubuntu Xenial)
2016-09-14 18:48:13 Mathew Hodson bug task deleted shimmer-themes (Ubuntu)
2016-09-14 18:48:22 Mathew Hodson bug task deleted arc-theme (Ubuntu)
2016-09-14 18:49:09 Mathew Hodson affects numix ubuntu-translations
2016-09-14 18:49:09 Mathew Hodson ubuntu-translations: importance Unknown Undecided
2016-09-14 18:49:09 Mathew Hodson ubuntu-translations: status Fix Released New
2016-09-14 18:49:09 Mathew Hodson ubuntu-translations: remote watch github.com/numixproject/numix-gtk-theme/issues #492
2016-09-14 18:49:29 Mathew Hodson bug task deleted ubuntu-translations
2016-09-14 18:49:51 Mathew Hodson affects arc-theme ubuntu-translations
2016-09-14 18:49:51 Mathew Hodson ubuntu-translations: importance Unknown Undecided
2016-09-14 18:49:51 Mathew Hodson ubuntu-translations: remote watch github.com/horst3180/arc-theme/issues #607
2016-09-14 18:50:05 Mathew Hodson bug task deleted ubuntu-translations
2016-09-16 23:25:27 Zack Smith removed subscriber Zack Smith
2017-07-31 13:32:29 Bug Watch Updater gtk2-engines-murrine (Debian): status New Fix Released